Export entities to Google
POST
/merchants/{merchantCode}/exportToGoogle
const url = 'https://catalog.shopgate.io/v1/merchants/example/exportToGoogle';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"feed":"product"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://catalog.shopgate.io/v1/merchants/example/exportToGoogle \ --header 'Content-Type: application/json' \ --data '{ "feed": "product" }'Exports entities to Google
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
Query Parameters
Section titled “Query Parameters”catalogCode
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
feed
required
string
Example
productResponses
Section titled “Responses”Export request accepted.
Media typeapplication/json
Bad request (mostly missing or invalid parameters/values)
Media typeapplication/json
object
statusCode
number
message
string
code
string
additionalInfo
object
validationErrors
Array<object>
object
code
number
reason
string
entity
string
entityId
string
subentityPath
Array<string | number>
error
object
paramName
The parameter-field, that failed to validate, like “userId”
string
paramValue
The value, that was sent, like “xxx”
null | string | number | array | object
code
Machine readable error code
string
message
required
Human readable error code
string
results
object
errors
Array<object>
object
code
Machine readable error code
string
message
Human readable error code
string
description
string
path
Array<string>
warnings
array
Example
{ "error": { "code": "SCHEMA_VALIDATION_FAILED", "results": { "errors": [ { "code": "MAX_LENGTH", "message": "Name too long", "description": "Property Name is too long", "path": [ "name" ] } ] } }}Merchant or Credentials not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
